org.icefaces.ace.component.dnd

## Enum DraggableBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<DraggableBase.PropertyKeys>
  - - org.icefaces.ace.component.dnd.DraggableBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DraggableBase.PropertyKeys>
  Enclosing class:
    DraggableBase

      protected static enum DraggableBase.PropertyKeys
      extends java.lang.Enum<DraggableBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `axis`
    `containment`
    `cursor`
    `datasource`
    `disabled`
    `dragOnly`
    `dragStartListener`
    `forValue`
    `grid`
    `handle`
    `helper`
    `opacity`
    `revert`
    `scope`
    `snap`
    `snapMode`
    `snapTolerance`
    `stack`
    `widgetVar`
    `zindex`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static DraggableBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DraggableBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### axis

          public static final DraggableBase.PropertyKeys axis

    - #### containment

          public static final DraggableBase.PropertyKeys containment

    - #### cursor

          public static final DraggableBase.PropertyKeys cursor

    - #### datasource

          public static final DraggableBase.PropertyKeys datasource

    - #### disabled

          public static final DraggableBase.PropertyKeys disabled

    - #### dragOnly

          public static final DraggableBase.PropertyKeys dragOnly

    - #### dragStartListener

          public static final DraggableBase.PropertyKeys dragStartListener

    - #### forValue

          public static final DraggableBase.PropertyKeys forValue

    - #### grid

          public static final DraggableBase.PropertyKeys grid

    - #### handle

          public static final DraggableBase.PropertyKeys handle

    - #### helper

          public static final DraggableBase.PropertyKeys helper

    - #### opacity

          public static final DraggableBase.PropertyKeys opacity

    - #### revert

          public static final DraggableBase.PropertyKeys revert

    - #### scope

          public static final DraggableBase.PropertyKeys scope

    - #### snap

          public static final DraggableBase.PropertyKeys snap

    - #### snapMode

          public static final DraggableBase.PropertyKeys snapMode

    - #### snapTolerance

          public static final DraggableBase.PropertyKeys snapTolerance

    - #### stack

          public static final DraggableBase.PropertyKeys stack

    - #### widgetVar

          public static final DraggableBase.PropertyKeys widgetVar

    - #### zindex

          public static final DraggableBase.PropertyKeys zindex

  - ### Method Detail

    - #### values

          public static DraggableBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DraggableBase.PropertyKeys c : DraggableBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DraggableBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DraggableBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.